﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">

    <Style TargetType="TextBlock" x:Key="BreadcrumbSeparator">
        <Setter Property="VerticalAlignment" Value="Center"/>
        <Setter Property="Text" Value=" » "/>
    </Style>

    <Style TargetType="Button">
        <Setter Property="Padding" Value="8,4"/>
    </Style>

    <Style TargetType="ButtonBase" x:Key="LinkButton">
        <Setter Property="HorizontalAlignment" Value="Left"/>
        <Setter Property="Foreground" Value="Blue"/>
        <Setter Property="Cursor" Value="Hand"/>
        <Setter Property="Template">
            <Setter.Value>
                <ControlTemplate TargetType="ButtonBase">
                    <ContentPresenter ContentTemplate="{TemplateBinding ContentTemplate}" Content="{TemplateBinding Content}" ContentStringFormat="{TemplateBinding ContentStringFormat}" 
                                      Margin="{TemplateBinding Padding}" VerticalAlignment="{TemplateBinding VerticalContentAlignment}" HorizontalAlignment="{TemplateBinding HorizontalContentAlignment}" 
                                      Focusable="{TemplateBinding Focusable}" RecognizesAccessKey="True" 
                                      x:Name="ContentPresenter"/>
                    <ControlTemplate.Triggers>
                        <Trigger Property="IsEnabled" Value="False">
                            <Setter Property="Foreground" Value="DimGray"/>
                            <Setter TargetName="ContentPresenter" Property="TextElement.Foreground" Value="DimGray"/>
                        </Trigger>
                        <Trigger Property="IsPressed" Value="True">
                            <Setter Property="Foreground" Value="Red"/>
                            <Setter TargetName="ContentPresenter" Property="TextElement.Foreground" Value="Red"/>
                        </Trigger>
                        <Trigger Property="ToggleButton.IsChecked" Value="True">
                            <Setter Property="Foreground" Value="Red"/>
                        </Trigger>
                    </ControlTemplate.Triggers>
                </ControlTemplate>
            </Setter.Value>
        </Setter>
    </Style>

    <Style TargetType="ButtonBase" BasedOn="{StaticResource LinkButton}" x:Key="CenterText">
        <Setter Property="VerticalAlignment" Value="Center"/>
        <Setter Property="HorizontalAlignment" Value="Center"/>
        <Setter Property="FontSize" Value="32"/>
    </Style>

</ResourceDictionary>
